/**
 * @desc 修改
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: number
    /** 名称 */
    name: string
    /** 标识 */
    uid: string
}

export const init = new defs.Result()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/manage/role/modify',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
